# List all the experiment templates in a hub

List all the experiment templates in a hub based on tag

Endpoint: GET /gateway/chaos/manager/api/rest/experimenttemplates/{identity}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `hubIdentity` (string)

  - `isReference` (boolean)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `projectIdentifier` (string)
    project id to access the resource

  - `revision` (string)

  - `verbose` (boolean)

## Path parameters:

  - `identity` (string, required)
    identity of the experiment

## Response 200 fields (application/json):

  - `apiVersion` (string)

  - `correlationID` (string)

  - `description` (string)

  - `hubIdentity` (string)

  - `identity` (string, required)

  - `isDefault` (boolean, required)

  - `kind` (string)

  - `name` (string, required)

  - `revision` (string, required)

  - `spec` (object, required)

  - `spec.actions` (array)

  - `spec.actions.continueOnCompletion` (boolean)

  - `spec.actions.identity` (string)

  - `spec.actions.infraId` (string)

  - `spec.actions.isEnterprise` (boolean)

  - `spec.actions.name` (string)

  - `spec.actions.revision` (integer)

  - `spec.actions.values` (array)

  - `spec.actions.values.name` (string, required)

  - `spec.actions.values.value` (any, required)

  - `spec.cleanupPolicy` (string)
    Enum: "retain", "delete"

  - `spec.faults` (array)

  - `spec.faults.authEnabled` (boolean)

  - `spec.faults.identity` (string)

  - `spec.faults.infraId` (string)

  - `spec.faults.isEnterprise` (boolean)

  - `spec.faults.name` (string)

  - `spec.faults.revision` (string)

  - `spec.faults.values` (array)

  - `spec.infraId` (string)

  - `spec.infraType` (string, required)
    Enum: "windows", "Windows", "Linux", "CloudFoundry", "Container", "Kubernetes", "KubernetesV2"

  - `spec.probes` (array)

  - `spec.probes.conditions` (array)

  - `spec.probes.conditions.executeUpon` (string)

  - `spec.probes.duration` (string)

  - `spec.probes.enableDataCollection` (boolean)

  - `spec.probes.identity` (string)

  - `spec.probes.infraId` (string)

  - `spec.probes.isEnterprise` (boolean)

  - `spec.probes.name` (string)

  - `spec.probes.revision` (integer)

  - `spec.probes.values` (array)

  - `spec.probes.weightage` (integer)

  - `spec.statusCheckTimeouts` (object)

  - `spec.statusCheckTimeouts.delay` (integer)

  - `spec.statusCheckTimeouts.timeout` (integer)

  - `spec.vertices` (array)

  - `spec.vertices.end` (object)

  - `spec.vertices.end.actions` (array)

  - `spec.vertices.end.actions.name` (string, required)

  - `spec.vertices.end.faults` (array)

  - `spec.vertices.end.probes` (array)

  - `spec.vertices.name` (string, required)

  - `spec.vertices.start` (object)

  - `tags` (array)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


